Name: libXrandr
Version: 1.5.2
Release: 3
License: X11
Summary: X.Org X11 libXrandr runtime library
URL: http://www.x.org

Source0: ftp://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: pkg-config

BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXrender-devel
BuildRequires: libxcb-devel
BuildRequires: xorg-x11-proto-devel
BuildRequires: xorg-x11-util-macros

%description
X.Org X11 libXrandr runtime library

%package -n libXrandr2
Summary: X.Org X11 libXrandr runtime library
Conflicts: libXrandr
Obsoletes: libXrandr

%description -n libXrandr2
X.Org X11 libXrandr runtime library

%package devel
Summary: X.Org X11 libXrandr development package
Requires: libXrandr2 = %{version}-%{release}
Requires: libX11-devel
Requires: libXext-devel
Requires: libXrender-devel
Requires: pkg-config
Requires: xorg-x11-proto-devel

%description devel
X.Org X11 libXrandr development package

%prep
%setup -q

%build
export CONFIG_SHELL=%{_bindir}/bash
export CONFIG_ENV_ARGS=%{_bindir}/bash

autoreconf -fiv
%configure \
  LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --with-aix-soname=svr4 \
  --enable-shared \
  --disable-static \
  #end

%make_build

%check
make check

%install

%make_install

find %{buildroot}/%{_libdir} -name \*.la | xargs rm

%files -n libXrandr2
%defattr(-, qsys, *none)
%license COPYING
%doc README.md ChangeLog
%{_libdir}/libXrandr.so.2

%files devel
%defattr(-, qsys, *none)
%{_includedir}/X11/extensions/*.h
%{_libdir}/libXrandr.so
%{_libdir}/pkgconfig/xrandr.pc
%{_mandir}/man3/*.3*

%changelog
* Tue Mar 30 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.5.2
- Obsolete and Conflict old package name provided by qsecofr repo

* Thu Mar 11 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.5.2
- Add missing header file requirements from xorg-x11-proto-devel

* Tue Aug 11 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.5.2
- Initial spec
